Package org.gdal.ogr

## Class Driver

- java.lang.Object
- - org.gdal.gdal.MajorObject
  - - org.gdal.ogr.Driver

-     public class Driver
      extends MajorObject

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataSource` | `CopyDataSource​(DataSource copy_ds, java.lang.String utf8_path)` |
    `DataSource` | `CopyDataSource​(DataSource copy_ds, java.lang.String utf8_path, java.util.Vector options)` |
    `DataSource` | `CreateDataSource​(java.lang.String utf8_path)` |
    `DataSource` | `CreateDataSource​(java.lang.String utf8_path, java.util.Vector options)` |
    `void` | `delete​()` |
    `int` | `DeleteDataSource​(java.lang.String utf8_path)` |
    `void` | `Deregister​()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getName​()` |
    `java.lang.String` | `GetName​()` |
    `int` | `hashCode​()` |
    `DataSource` | `Open​(java.lang.String utf8_path)` |
    `DataSource` | `Open​(java.lang.String utf8_path, int update)` |
    `void` | `Register​()` |
    `boolean` | `TestCapability​(java.lang.String cap)` |

    - ### Methods inherited from class org.gdal.gdal.MajorObject

      `GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataDomainList, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete​()

      Overrides:
        `delete` in class `MajorObject`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getName

          public java.lang.String getName​()

    - #### CreateDataSource

          public DataSource CreateDataSource​(java.lang.String utf8_path,
                                             java.util.Vector options)

    - #### CreateDataSource

          public DataSource CreateDataSource​(java.lang.String utf8_path)

    - #### CopyDataSource

          public DataSource CopyDataSource​(DataSource copy_ds,
                                           java.lang.String utf8_path,
                                           java.util.Vector options)

    - #### CopyDataSource

          public DataSource CopyDataSource​(DataSource copy_ds,
                                           java.lang.String utf8_path)

    - #### Open

          public DataSource Open​(java.lang.String utf8_path,
                                 int update)

    - #### Open

          public DataSource Open​(java.lang.String utf8_path)

    - #### DeleteDataSource

          public int DeleteDataSource​(java.lang.String utf8_path)

    - #### TestCapability

          public boolean TestCapability​(java.lang.String cap)

    - #### GetName

          public java.lang.String GetName​()

    - #### Register

          public void Register​()

    - #### Deregister

          public void Deregister​()